
Summary: OmniBroker is a CORBA-2.0 compliant ORB(Object Request Broker).  
Name: OmniBroker 
Version: 2.0b5 
Release: 2 
Source: ftp.ooc.com/pub/OmniBroker/OB-2.0b5.tar.gz
URL: http://www.ooc.com/
Distribution: Redhat 4.1
Vendor: Redhat
Copyright: 1997 Object-Oriented Concepts, Inc. All Rights Reserved. 
Group: Development/Libraries
Packager: Takahiko Koyama <tk29@cornell.edu>
Icon: ooc.gif
Prefix: /usr/local

%description

OmniBroker is free for non-commercial use 
OmniBroker is CORBA-2 compliant 
OmniBroker is available with its full source code 

Other highlights of OmniBroker include:

       Full CORBA IDL support 
       Complete CORBA IDL-to-C++ mapping 
       Complete CORBA IDL-to-Java mapping 
       Uses IIOP as native protocol 
       Dynamic Invocation Interface 
       Dynamic Skeleton Interface 
       Interface Repository 
       Peer-to-Peer communication with nested method invocations 
       Support for non-blocking method invocations 
       Support for timeouts 
       Seamless integration with X11 and Windows 
       A COS compliant Naming Service 
       IDL-to-HTML translator for generating "javadoc"-style documentation 
       DynAny API for dynamic Any type handling 

Currently the OmniBroker 2.0 Preview Release lacks support for the following features. These features will be implemented in an upcoming version:

       Only persistent (i.e. manually launched) servers are currently supported 
       No multi-threaded C++ applications (OmniBroker for Java supports th

----From Packager-----

Please read LICENSE located in /usr/local/lib/OminiBroker before getting started. Demos and test programs with source codes are available in /usr/local/demo/OB.  For your safety, this package is signed with a digital signature and the packager's PGP public key can be obtained at "http://www.lns.cornell.edu/~koyama/".  

Finally, the packager will NOT be responsible for damages caused by this software, even though there is ABSOLUTELY NO intent to harm your system or network.   

%prep

%setup -n OB-2.0b5 

%build

CXX=g++
CXXFLAGS="--no-implicit-templates -fhandle-exceptions -Wall"
AR=g++
ARFLAGS="-shared -o"
RANLIB=:
LIBEXT=.so
LD_LIBRARY_PATH="`pwd`/lib:`pwd`/idl:`pwd`/naming:$LD_LIBRARY_PATH"
export CXX CXXFLAGS AR ARFLAGS RANLIB LIBEXT LD_LIBRARY_PATH
./configure

make

%install
make install

#installing demo and test

mkdir -p /usr/local/demo/OB

cp -rf ./demo  /usr/local/demo/OB
cp -rf ./jdemo /usr/local/demo/OB
cp -rf ./test  /usr/local/demo/OB
cp -rf ./jtest /usr/local/demo/OB

# I don't know if this works(hope so)
 
rm -rf /usr/local/demo/OB/test/*.o
rm -rf /usr/local/demo/OB/demo/*/*.o



%files
/usr/local/bin/idl
/usr/local/bin/hidl
/usr/local/bin/jidl
/usr/local/bin/irdel
/usr/local/bin/irfeed
/usr/local/bin/irgen
/usr/local/bin/irserv
/usr/local/bin/nsserv
/usr/local/lib/libOB.so
/usr/local/lib/libIDL.so
/usr/local/lib/libOBX11.so
/usr/local/lib/libCosNaming.so
/usr/local/lib/CosNaming.jar
/usr/local/lib/OB.jar
/usr/local/lib/OmniBroker
/usr/local/include/OB
/usr/local/man/man1/idl.1
/usr/local/demo/OB
